Name:		puppet-gluster
Version:	0.0.2
Release:	2%{?dist}
Summary:	A Puppet module for GlusterFS
License:	AGPLv3+
URL:		https://github.com/purpleidea/puppet-gluster
Source0:	https://download.gluster.org/pub/gluster/purpleidea/puppet-gluster/SOURCES/puppet-gluster-%{version}.tar.bz2
BuildArch:	noarch
%if 0%{?fedora}
BuildRequires:	pandoc, pandoc-pdf
%endif
Requires:	puppet >= 2.7.0

%description
A Puppet module used for installing, configuring and managing GlusterFS.

%package doc
License:	AGPLv3+
Summary:	A Puppet module for GlusterFS
Group:		Applications/Internet
Requires:	puppet-gluster

%description doc
This package contains the documentation for puppet-gluster.

%prep
%setup
# Upstream poked for this change to happen on the next tarball.
chmod +x files/xml.py

%build
rm -r puppet-gluster-documentation.pdf

%if 0%{?fedora}
pandoc DOCUMENTATION.md -o 'puppet-gluster-documentation.pdf'
%endif

%install
mkdir -p %{buildroot}/%{_datadir}/puppet/modules/gluster
cp -rp files/ %{buildroot}/%{_datadir}/puppet/modules/gluster/files
cp -rp lib/ %{buildroot}/%{_datadir}/puppet/modules/gluster/lib
cp -rp manifests/ %{buildroot}/%{_datadir}/puppet/modules/gluster/manifests
cp -rp templates/ %{buildroot}/%{_datadir}/puppet/modules/gluster/templates

%files
%doc COPYING COPYRIGHT README VERSION
%{_datadir}/puppet/modules/gluster

%files doc
%doc examples
%if 0%{?fedora}
%doc puppet-gluster-documentation.pdf
%endif
%if 0%{?rhel}
%doc DOCUMENTATION.md
%endif

%changelog
* Sat May 03 2014 Andrea Veri <averi@fedoraproject.org> - 0.0.2-2
- Don't ship the vagrant subpackage anymore. Vagrant itself is not
  available on official repositories.
- Move the documentation to its own -doc package.
- Do not ship a pre-built binary (PDF) file but build it at build time
  on Fedora while don't build it at all on EPEL given the needed
  packages are not there.

* Wed Apr 30 2014 Andrea Veri <averi@fedoraproject.org> - 0.0.2-1
- Initial package release.
